import React from 'react';
import ReactDOM from 'react-dom';
import Select from '..';
const { Option, OptionGroup } = Select;
const dataSource = [
    {
        label: 'label1',
        children: [
            {
                label: 'label1-1',
                value: 'text1-1',
            },
        ],
    },
    {
        label: 'label2',
        children: [
            {
                label: 'label2-1',
                value: 'text2-1',
            },
        ],
    },
];
ReactDOM.render(React.createElement("div", null,
    React.createElement(Select, { placeholder: "OptionGroup", style: { marginRight: 8 } },
        React.createElement(OptionGroup, { label: "group1" },
            React.createElement(Option, { value: "small" }, "Small"),
            React.createElement(Option, { value: "medium" }, "Medium"),
            React.createElement(Option, { value: "large" }, "Large")),
        React.createElement(OptionGroup, { label: "group2" },
            React.createElement(Option, { value: "small2" }, "Small2"),
            React.createElement(Option, { value: "medium2" }, "Medium2"),
            React.createElement(Option, { value: "large2" }, "Large2"))),
    React.createElement(Select, { placeholder: "use dataSource", dataSource: dataSource })), document.getElementById('select-demo-6'));
